Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.toJava
Class JavaInterfaceWriter

    java.lang.Object
      org.apache.axis.wsdl.toJava.JavaWriter
          org.apache.axis.wsdl.toJava.JavaClassWriter
              org.apache.axis.wsdl.toJava.JavaInterfaceWriter

All Implemented Interfaces:
  Generator

public class JavaInterfaceWriter
extends JavaClassWriter

This is Wsdl2java's PortType Writer. It writes the .java file which contains the interface.

Field Summary
`protected BindingEntry` | `bEntry` Field bEntry
`protected javax.wsdl.PortType` | `portType` Field portType

Fields inherited from class org.apache.axis.wsdl.toJava.JavaClassWriter
`className, namespaces, packageName`

Fields inherited from class org.apache.axis.wsdl.toJava.JavaWriter
`emitter, LINE_LENGTH, type`

Constructor Summary
`protected` | `JavaInterfaceWriter(Emitter emitter, PortTypeEntry ptEntry, BindingEntry bEntry, SymbolTable symbolTable)` Constructor.

Method Summary
`void` | `generate()` Override generate method to prevent duplicate interfaces because of two bindings referencing the same portType
`protected java.lang.String` | `getClassText()` Returns "interface ".
`protected java.lang.String` | `getExtendsText()` Returns "extends java.rmi.Remote ".
`protected void` | `writeFileBody(java.io.PrintWriter pw)` Write the body of the portType interface file.
`protected void` | `writeOperation(java.io.PrintWriter pw, javax.wsdl.Operation operation)` This method generates the interface signatures for the given operation.

Methods inherited from class org.apache.axis.wsdl.toJava.JavaClassWriter
`getClassModifiers, getClassName, getFileName, getImplementsText, getPackage, registerFile, writeFileFooter, writeFileHeader, writeHeaderComments, writePackage`

Methods inherited from class org.apache.axis.wsdl.toJava.JavaWriter
`closePrintWriter, getJavadocDescriptionPart, getPrintWriter, isFileGenerated, verboseMessage, writeComment, writeComment`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### portType

    protected javax.wsdl.PortType portType

  Field portType

### bEntry

    protected BindingEntry bEntry

  Field bEntry

Constructor Detail

### JavaInterfaceWriter

    protected JavaInterfaceWriter(Emitter emitter,
                                  PortTypeEntry ptEntry,
                                  BindingEntry bEntry,
                                  SymbolTable symbolTable)

  Constructor.

Parameters:
  `emitter` -
  `ptEntry` -
  `bEntry` -
  `symbolTable` -

Method Detail

### generate

    public void generate()
                  throws java.io.IOException

  Override generate method to prevent duplicate interfaces because of two bindings referencing the same portType

  Specified by:
    `generate` in interface `Generator`
  Overrides:
    `generate` in class `JavaWriter`
  Throws:
    `java.io.IOException`

### getClassText

    protected java.lang.String getClassText()

  Returns "interface ".

  Overrides:
    `getClassText` in class `JavaClassWriter`
  Returns:

### getExtendsText

    protected java.lang.String getExtendsText()

  Returns "extends java.rmi.Remote ".

  Overrides:
    `getExtendsText` in class `JavaClassWriter`
  Returns:

### writeFileBody

    protected void writeFileBody(java.io.PrintWriter pw)
                          throws java.io.IOException

  Write the body of the portType interface file.

  Specified by:
    `writeFileBody` in class `JavaWriter`
  Parameters:
    `pw` -
  Throws:
    `java.io.IOException`

### writeOperation

    protected void writeOperation(java.io.PrintWriter pw,
                                  javax.wsdl.Operation operation)
                           throws java.io.IOException

  This method generates the interface signatures for the given operation.

  Parameters:
    `pw` -
    `operation` -
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Web Services Project. All Rights Reserved.